Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Arsen1

Переход с ipb 2.3.6 на ipb 3

Recommended Posts

Добрый день. По поводу 2 пункта

В дистрибутиве есть файл check_requirements.php. Загружаем его на сервер и смотрим, соответствует хостин, требованием 3.x Если да, то продолжаем дальше, если нет, устраняем различие.

запустил он мне выдает все ок кроме

IP.Nexus Only: Checking for ability to load Zend Guard encoded files...FAIL

Not able to run encoded files such as IP.Nexus. You can still use IP.Board, IP.Downloads. IP.Blog, IP.Gallery, IP.Content, IP.Chat

Checking for mysqli support...FAIL

и

Checking for mysqli support...FAIL

The mysqli extension is preferred over the original mysql extension. This is not a requirement, but if possible we recommend you to install the mysqli extension for better performance.

что это значит ?

И если я захожу в php admin на форуме 2.3.5 он мне пишет что MySQL-кодировка: UTF-8 Unicode (utf8) значит мне не нужно базу конвертировать ?

а если просматривать форум в юникоде то будут одни квадратики )

Edited by Ultima

Share this post


Link to post
Share on other sites

что это значит ?

В принципе не страшно.

 

И если я захожу в php admin на форуме 2.3.5

phpmyadmin не критерий

 

н мне пишет что MySQL-кодировка:

Кодировка чего?

 

значит мне не нужно базу конвертировать

Русскую двойку запустить в utf8 можно было, но это настолько не тривиальная задача, что думаю вряд ли...

Share this post


Link to post
Share on other sites

Спасибо огромное за ответ. Но кодировка форума у меня кириллица. Буду переводить в юникод. Вот сейчас создали тестовый сервер чтобы попробовать сам форум открывается а вот в админку попасть не могу, после авторизации пишет ошибку в файле Warning: strstr() [function.strstr]: Empty delimiter in /data/sources/lib/admin_functions.php on line 1452

Это критично ? можно ли начинать процесс обновления ? или как то не правильно сделали тестовый сервер ?

В дальнейшем на нем я и хочу установить 3 версию... а старый оставить как тестовый. Уважаемый Ph-A, если у Вас есть возможность, не могли бы вы мне помочь ? если можно пообщаться по почте или icq или скайп ?

А переходить лучше на 3.1.4 или сразу на 3.2.3 ?

Edited by Ultima

Share this post


Link to post
Share on other sites

В процессе обновления вылетела ощибка Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 2 bytes) in /ips_kernel/classDbMysqlClient.php on line 453

Ч то делать?

Share this post


Link to post
Share on other sites

если у Вас есть возможность, не могли бы вы мне помочь

Нет. Времени в обрез

 

А переходить лучше на 3.1.4 или сразу на 3.2.3 ?

На эту тему столько здесь писали....

 

По обоим ошибкам интересно какой глюк вы скачали ...

Share this post


Link to post
Share on other sites

Доброго времени суток.

 

Прочитал всю тему, но ответ не нашел. Поиск же так же не дал результата. Если уже отвечали - прошу кинуть ссылку и не кидать тапками.

 

1 Возможно ли осуществить переход с 2.2.2 на 3 минуя 2.3.6 и если возможно, будет ли схема отличаться от описанной в первом посте?

 

2 У меня было 2 форума 2.2.2, для которых я приобрел лицензию. В данный момент я продлил одну из этих лицензий и соответственно получил дистрибутив 3.1.4

Правомочно ли установить новую версию на оба форума, ведь лицензия (если не ошибаюсь) пожизненная?

 

Заранее благодарен за ответы.

Edited by Bard

Share this post


Link to post
Share on other sites

будет ли схема отличаться от описанной в первом посте?

Нет.

 

и соответственно получил дистрибутив 3.1.4

Интересно, где продают 3.1.4 :)

 

Правомочно ли установить новую версию на оба форума

Нет.

Share this post


Link to post
Share on other sites

Спасибо за ответы.

 

3.1.4 был доступен в клиентском разделе IBResource в июле 2011 (когда продлял лицензию), тогда же тот форум на который продлял был переведен на эту версию, а второй так и остается на 2.2.2

 

Кстати, еще когда покупал лицензию в первый раз, была доступна версия 2.3.6, так что ее дистрибутив у меня имеется и теоретически лицензия на него распространяется, раз я его получил, оплатив лицензию (просто тогда оставил форум на 2.2.2). Не осталось ли инструкций по переходу с 2.2.2 на 2.3.6?

 

P.S. Раньше на "заморачивался" вопросом смены версии ,поскольку и без того все стабильно работало. Сейчас же на хостинге произошла авария и высоки шансы того что форум придется поднимать с 0. Вот и задумался о том, какую версию тогда поднимать и какая будет лицензионна.

Edited by Bard

Share this post


Link to post
Share on other sites

3.1.4 был доступен в клиентском разделе IBResource в июле 2011

Он и сейчас там доступен. Но там и новая версия есть

 

была доступна версия 2.3.6

Ага. Там очень долго еще лежал IPB 2.1.7

 

Не осталось ли инструкций по переходу с 2.2.2 на 2.3.6?

На ibresource есть. Но вопросы про 2.x лучше в другом разделе.

Share this post


Link to post
Share on other sites

Еще раз спасибо за оперативные и полезные ответы!

Share this post


Link to post
Share on other sites

При переходе с 2.3.6 на 3.1.4 выдает

mySQL query error: DELETE FROM ibf_skin_css WHERE css_set_id=0 AND css_master_key='root' AND css_app='core'

SQL error: Unknown column 'css_master_key' in 'where clause'
SQL error code: 1054
Date: Thursday 15th March 2012 08:59:55 PM


----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Date: Thu, 15 Mar 2012 20:59:55 +0000
Error: 1054 - Unknown column 'css_master_key' in 'where clause'
IP Address: 192.168.186.13 - /forum/admin/upgrade/index.php?app=upgrade&st=0&section=upgrade&do=templates
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
mySQL query error: DELETE FROM ibf_skin_css WHERE css_set_id=0 AND css_master_key='root' AND css_app='core'
.--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
| File                                                                       | Function                                                                      | Line No.          |
|----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------|
| admin/sources/classes/skins/skinImportExport.php                           | [db_main_mysql].delete                                                        | 1685              |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/applications/upgrade/sections/upgrade.php                      | [skinImportExport].importCSSAppXML                                            | 851               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/applications/upgrade/sections/upgrade.php                      | [upgrade_upgrade].install_templates                                           | 168               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/sources/base/ipsController_setup.php                           | [upgrade_upgrade].doExecute                                                   | 256               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'

Edited by zefein

Share this post


Link to post
Share on other sites

И еще проблема, у меня некоторые таблицы в кодировке latin1_swedish_ci, я конвертировал скриптом dumper.php, подскажите как исправить.

Share this post


Link to post
Share on other sites

Кто сможет обновить мне IPB с 2.3 до 3.2 с сохранением шаблона и даными?естевственно за оплату.плз помогите, сам уже 3 день пробую. ошибка при работе с базой даных пишет когда доходит дело до обнвления..такое же сообщение как на 2поста выше..только там немножко другие таблицы

Share this post


Link to post
Share on other sites

С сохранением шаблонам вам никто не сделает, можно поставить какой-нибудь похожий из этой версии, а сохранением данных - на то оно и называется обновление, что сохраняются данные.

А так, вы немножко разделом ошиблись, платные услуги заказываются здесь.

Share this post


Link to post
Share on other sites

А почему при обновлении, есть кнопка, сохранение стилев CSS?

так я не могу обновить у меня ошибки такие как уже на 4поста выше.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...